local deposit = '';
local depositdata = '';
local totalDeposits = 0;
local expense = '';
local expensedata = '';
local totalExpenses = 0;
local month = '';
local months = {['01']='Jan', ['02']='Feb', ['03']='Mar', ['04']='Apr', ['05']='May', ['06']='Jun', ['07']='Jul', ['08']='Aug', ['09']='Sep', ['10']='Oct', ['11']='Nov', ['12']='Dec'};

function handle_record(record)
    depositdata = depositdata .. record:get("TotalDeposits") .. ',';
    totalDeposits = totalDeposits + record:get("TotalDeposits");
    expensedata = expensedata .. record:get("TotalExpenses") .. ',';
    totalExpenses = totalExpenses + record:get("TotalExpenses");
    local entryDate = months[record:get("MONTH")] .. '-' .. record:get("YEAR");
    month = month .. '"' .. entryDate .. '",';
    record:set('ENTRY_DATE', entryDate);
    record:set('Diff', record:get("TotalDeposits") - record:get("TotalExpenses"));
end

function complete(result)
    deposit = [[
        {label:"Deposits",
        fillColor : "rgba(151,187,205,0.2)",
        strokeColor : "rgba(151,187,205,1)",
        pointColor : "rgba(151,187,205,1)",
        pointStrokeColor:"#fff",
        pointHighlightFill: "#fff",
        pointHighlightStroke: "rgba(151,187,205,1)",
        data : [%s]}
    ]]
    deposit = string.format(deposit, depositdata);
    expense = [[
        {label:"Expenses",
        fillColor : "rgba(253,17,2,0.2)",
        strokeColor : "rgba(253,17,2,1)",
        pointColor : "rgba(253,17,2,1)",
        pointStrokeColor:"#fff",
        pointHighlightFill: "#fff",
        pointHighlightStroke: "rgba(253,17,2,1)",
        data : [%s]}
     ]]
    expense = string.format(expense, expensedata);
    result:set('TREND_DEPOSITS', deposit);
    result:set('TREND_EXPENSES', expense);
    result:set('TREND_MONTHS', string.sub(month,1,-2));
    result:set('TOTAL_DEPOSITS', totalDeposits);
    result:set('TOTAL_EXPENSES', totalExpenses);
    result:set('TOTAL_DIFF', totalDeposits - totalExpenses);
end