select strftime('%m', c.TRANSDATE) as MONTH
    ,strftime('%Y', c.TRANSDATE) as YEAR
    , total(case c.TRANSCODE when 'Deposit'  then TRANSAMOUNT * cf.BaseConvRate end) as TotalDeposits
    , total(case c.TRANSCODE when 'Withdrawal' then TRANSAMOUNT * cf.BaseConvRate end) as TotalExpenses
from CHECKINGACCOUNT_V1 c
    inner join ACCOUNTLIST_V1 AC on AC.ACCOUNTID = c.ACCOUNTID
    inner join currencyformats_v1 cf on cf.currencyid=AC.currencyid
where TRANSDATE >= '2009-01-01'
and transcode != 'Transfer'
and c.status !='V'
and ac.status !='Closed'
group by year, month
order by year,month
